# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define debug_package %{nil}

Name: 	 	easychem
Summary: 	2D molecular drawing program
Version: 	0.6
Release: 	alt1_17

Source:		https://downloads.sourceforge.net/easychem/%{name}-%{version}.tar.bz2
Patch0:		easychem-0.6-link.patch
URL:		http://easychem.sourceforge.net/
License:	GPL
Group:		Sciences/Chemistry
BuildRequires:	gtk2-devel
Source44: import.info

%description
EasyChem is a program designed to draw chemical molecules.  The problem in all
existing programs is: they intend to be easy to use at first try, kind of a
quick-and-dirty approach. EasyChem would be a bit difficult to learn, but when
you master it, you can be very fast, and with a huge precision. In fact, it's
just like a specialized vector drawing tool.

%prep
%setup -q
%patch0


%build
make -f Makefile.linux CC="gcc %optflags "
										
%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir/

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=EasyChem
GenericName=2D Molecule Editor
GenericName[ar]=محرّر جزيئات ثنائي الأبعاد
GenericName[bn]=দ্বিমাত্রিক অণু সম্পাদক
GenericName[bs]=2D editor molekula
GenericName[ca]=Editor de molècules en 2D
GenericName[cy]=Golygydd Moliciwlau 2D
GenericName[da]=2D molekyleredigering
GenericName[de]=2D Molekül Editor
GenericName[el]=Επεξεργαστής μορίων σε 2Δ
GenericName[es]=Editor 2D de moléculas
GenericName[et]=2D molekulide redaktor
GenericName[eu]=2D Molekula Editorea
GenericName[fa]=ویرایشگر ۲بعدی مولکول‌ها
GenericName[fi]=2D-molekyylieditori
GenericName[fr]=Éditeur de molécules en 2D
GenericName[gl]=Editor de Moléculas en 2D
GenericName[he]=עורך מולקולות דו-מימדי
GenericName[hi]=२डी परमाणु संपादक
GenericName[hu]=Kétdimenziós molekulaszerkesztő
GenericName[hy]=Երկչափ մոլեկուլների խմբագրիչ
GenericName[id]=Editor Molekul 2D
GenericName[is]=Tvívíður mólekúaritill
GenericName[it]=Editor molecolare 2D
GenericName[ja]=2D モジュールエディタ
GenericName[ky]=2D Молекула Редактору
GenericName[mk]=2D уредувач на молекули
GenericName[nb]=2D-redigeringsprogram for molekyler
GenericName[nl]=2D-molecuuleditor
GenericName[nn]=2D-redigeringsprogram for molekyl
GenericName[pl]=Dwuwymiarowy edytor molekuł
GenericName[pt]=Editor de moléculas 2D
GenericName[pt_BR]=Editor molecular 2D
GenericName[ro]=Editor de molecule 2D"
GenericName[ru]=Двухмерный редактор молекул
GenericName[sc]=Manijadori de molèculas in 2D
GenericName[sk]=2D editor molekúl
GenericName[sl]=2D urejevalnik molekul
GenericName[sv]=2D Molekyl Editor
GenericName[tg]=Муҳаррири Молекулаҳои дувазъа
GenericName[tl]=2D na pang-edit ng molecule
GenericName[tr]=2B Molekül Düzenleyicisi
GenericName[uk]=2D-редактор молекул
GenericName[uz]=2D molekula tahrirchi
GenericName[uz@cyrillic]=2D molekula tahrirchi
GenericName[vi]=Trình biên tập phân tử 2D
GenericName[wa]=Aspougneus di molecules e 2D
GenericName[zh_CN]=2D 分子编辑器
GenericName[zh_TW]=2D 化學分子編輯器
Comment=Create high-quality chemical formulas
Comment[sq]=Krijo formula kimike me cilësi të lartë
Comment[af]=Skep hoëkwaliteit chemiese formules
Comment[be]=Стварэньне высокаякасных хімічных формул
Comment[ast]=Crea fórmules químiques d'alta calidá
Comment[bn]=উচ্চ- গুণগত মানের রাসায়নিক ফর্মূলা তৈরি করুন
Comment[bs]=Kreira visoko kvalitetne kemijske formule
Comment[pt_BR]=Crie fórmulas químicas de alta qualidade
Comment[ca@valencia]=Creeu fórmules químiques d'alta qualitat
Comment[bg]=Създаване на химични формули с високо качество
Comment[ca]=Creeu fórmules químiques d'alta qualitat
Comment[zh_HK]=建立高品質化學公式
Comment[zh_CN]=创建高质量的化学方程式
Comment[zh_TW]=建立高品質化學公式
Comment[crh]=Yüksek kaliteli kimyasal formüller oluştur
Comment[cs]=Tvorba vysoce kvalitních chemických schémat
Comment[da]=Opret kemiske formler i høj kvalitet
Comment[nl]=Scheikundige formules van hoge kwaliteit maken
Comment[et]=Kvaliteetsete keemiliste valemite loomine
Comment[fi]=Luo korkealaatuisia kemiallisia kaavoja
Comment[fr_CA]=Créer des formules chimiques de haute qualité
Comment[fr]=Créer des formules chimiques de haute qualité
Comment[gl]=Cree fórmulas químicas de alta calidade
Comment[de]=Erstellen Sie hochqualitative chemische Formeln
Comment[el]=Δημιουργήστε υψηλής ποιότητας χημικούς τύπους
Comment[hu]=Kémiai képletek létrehozása
Comment[it]=Crea formule chimiche di alta qualità
Comment[ja]=高品質な化学式を作成します
Comment[ky]=Жогорку сапаттагы химиялык формулаларды түзүү
Comment[lt]=Sukurkite aukštos kokybės chemines formules
Comment[ms]=Cipta formula kimia berkualiti tinggi
Comment[oc]=Crear de formulas quimicas de nauta qualitat
Comment[fa]=فرمول های با کیفیت شیمی ایجاد نمایید
Comment[pl]=Tworzy profesjonalne wzory chemiczne i diagramy molekuł
Comment[nb]=Lag kjemiske formler av høy kvalitet
Comment[pt]=Cria fórmulas químicas de alta qualidade
Comment[ro]=Creare formule chimice de înaltă calitate
Comment[ru]=Создание высококачественных химических формул
Comment[sr]=Креирајте високо квалитетне хемијске формуле
Comment[sk]=Tvorba veľmi kvalitných chemických vzorcov
Comment[sl]=Ustvarite visoko kakovostne kemijske formule
Comment[es]=Cree fórmulas químicas de alta calidad
Comment[sv]=Skapa högkvalitativa kemiska formler
Comment[tr]=Yüksek kaliteli kimyasal formüller oluştur
Comment[uk]=Створення високоякісних хімічних формул
Comment[vi]=Tạo những công tức hoá học chất lượng cao
Exec=%{_bindir}/%{name} 
Icon=chemistry_section
Terminal=false
Type=Application
Categories=Science;Chemistry;
EOF

%files
%doc COPYING
%{_bindir}/%name
%{_datadir}/applications/mageia-%{name}.desktop


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.6-alt1_17
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_16
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_15
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_14
- new version

